## vips 7.20.4

=== debian/changelog ===
vips (7.20.4-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 05 Dec 2009 14:57:11 -0500

vips (7.20.2-1) experimental; urgency=low

  * New upstream release
  * Converted package format to "3.0 (quilt)"

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 23 Nov 2009 21:31:00 -0500

vips (7.18.2-3) unstable; urgency=low

  * Add additional fix for python 2.6.  Thanks Fabrice Coutadeur.
    Repeated attempts are the fault of my modifications, not Fabrice's
    patch.  (Closes: #538054)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 24 Aug 2009 11:06:32 -0400

vips (7.18.2-2) unstable; urgency=low

  * Add additional fix for python 2.6.  Thanks Fabrice Coutadeur.
    (Closes: #538054)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 21 Aug 2009 22:14:59 -0400

vips (7.18.2-1) unstable; urgency=low

  * New upstream release.
  * Made updates based on patch from Ubuntu (Fabrice Coutadeur) to enable
    vips to work with python 2.6.  (Closes: #538054)
  * Update standards version to 3.8.3.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 19 Aug 2009 15:42:15 -0400

vips (7.18.1-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.8.1.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 26 Apr 2009 11:11:06 -0400

vips (7.14.5-1) unstable; urgency=low

  * New upstream release
  * Switched source packaging to no longer use tarball in tarball format.
  * Switched to quilt.  Added README.source.
  * Updated standards to 3.8.0

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 19 Jul 2008 16:10:41 -0400

vips (7.14.4-1) unstable; urgency=low

  * New upstream release.  Incorporates all previous patches.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 08 Jun 2008 10:35:16 -0400

vips (7.14.3-1) unstable; urgency=low

  * New upstream release
  * Change dependency on fftw3-dev to fftw3-dev | libfftw3-dev to save
    Ubuntu people from having to continually patch vips
  * Build python package for all versions of python.  Thanks to Matthias
    Klose for the patch.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 03 May 2008 09:15:55 -0400

vips (7.14.1-4) unstable; urgency=low

  * Make sure g++, not gcc is used to link C programs that link with C++
    libraries.  (Closes: #474405)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 06 Apr 2008 22:37:47 -0400

vips (7.14.1-3) unstable; urgency=medium

  * Add missing conflicts/replaces to allow proper update.  Thanks to
    Michal Politowski for pointing out the error.  (Closes: #473388)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 05 Apr 2008 06:21:03 -0400

vips (7.14.1-2) unstable; urgency=low

  * Officially supported version; updating watch file and uploading to
    unstable.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 29 Mar 2008 11:28:19 -0400

vips (7.14.1-1) experimental; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 16 Mar 2008 09:35:35 -0400

vips (7.12.5-3) unstable; urgency=low

  * Fix gcc 4.3 compilation problems.  (Closes: #456043)
  * Update standards version to 3.7.3.  No changes required.
  * Change Section from "graphics" to "python" in python-vipscc

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 11 Feb 2008 09:40:16 -0500

vips (7.12.5-2) unstable; urgency=low

  * Fix python policy conformance.  Thanks to Siegfried Gevatter and
    Cesare Tirabassi for the analysis. (Closes: #450863, #450858)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 17 Nov 2007 12:30:12 -0500

vips (7.12.5-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 21 Oct 2007 10:15:30 -0400

vips (7.12.4-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 30 Jul 2007 16:50:20 -0400

vips (7.12.2-2) unstable; urgency=low

  * Correct dependency typo from Python to python.  Thanks Michal
    Politowski.  (Closes: #434677)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 26 Jul 2007 07:26:13 -0400

vips (7.12.2-1) unstable; urgency=low

  * New upstream release
  * There is now a python-vipsCC package vips's Python bindings.
  * The development package no longer has the library soname in its name.
    It is now just libvips-dev.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jul 2007 22:57:31 -0400

vips (7.10.21-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 19 Sep 2006 12:18:05 -0400

vips (7.10.20-1) unstable; urgency=low

  * New upstream release
  * Add watch file

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 23 Jun 2006 14:57:30 -0400

vips (7.10.19-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.7.2; no changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 12 May 2006 18:05:32 -0400

vips (7.10.17-1) unstable; urgency=medium

  * New upstream release
  * No user-visible changes; resync with upstream which has included our
    local soname patch.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 29 Nov 2005 19:08:08 -0500

vips (7.10.16-2) unstable; urgency=low

  * Fix libtool versioning problem resulting in wrong soname.
    (Closes: #340788)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 25 Nov 2005 19:15:54 -0500

vips (7.10.16-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 22 Nov 2005 20:43:11 -0500

vips (7.10.15-2) unstable; urgency=low

  * Rename libvips10c2 to libvips10c2a because of libstdc++ allocator
    change (Closes: #339275)

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 16 Nov 2005 22:49:21 -0500

vips (7.10.15-1) unstable; urgency=low

  * New upstream release
  * Upstream fix for gcc 4.0 optimization bug

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 15 Oct 2005 19:53:12 -0400

vips (7.10.14-1) unstable; urgency=low

  * New upstream release
  * Change dependencies for libmagick transition (Closes: #332471)

 -- Jay Berkenbilt <qjb@debian.org>  Fri,  7 Oct 2005 11:39:14 -0400

vips (7.10.12-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: vips
Section: libs
Priority: optional
Build-Depends: cdbs, debhelper (>= 5.0.38), libjpeg62-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-dev (>= 2.4), python-central (>= 0.5.6), liboil0.3-dev, libopenexr-dev, libmatio-dev, flex, bison
Maintainer: Jay Berkenbilt <qjb@debian.org>
XS-Python-Version: current
Standards-Version: 3.8.3
Homepage: http://www.vips.ecs.soton.ac.uk

Package: libvips15
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libvips10c2a, libvips12
Replaces: libvips10c2a, libvips12
Provides: libvips
Recommends: nip2
Description: image processing system good for very large images
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (images larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package includes runtime libraries needed to run applications
 linked with the vips library.

Package: libvips-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg62-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-central, python-dev (>= 2.4), liboil0.3-dev, libopenexr-dev, libmatio-dev
Recommends: libvips-doc, libvips-tools
Suggests: nip2
Conflicts: libvips10-dev
Replaces: libvips10-dev
Description: image processing system good for very large images (dev)
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (images larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package includes all development files needed to compile
 applications that use the vips library.

Package: libvips-tools
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: nip2, libvips-doc
Suggests: libvips-dev
Description: image processing system good for very large images (tools)
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (images larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package includes several command-line utilities that make it
 possible to use some vips functionality from shell scripts or the
 command line.

Package: python-vipscc
XB-Python-Version: ${python:Versions}
Section: python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Recommends: nip2, libvips-doc
Suggests: libvips-dev
Description: image processing system good for very large images (tools)
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (images larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package includes Python bindings to the vips library.

Package: libvips-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: image processing system good for very large images (doc)
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (images larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package includes complete documentation for the VIPS system.  It
 includes the application programmers' guide, the library programmers'
 guide, the C++ programmers' guide, and the reference guide, as well
 as HTML versions of the program and library manual pages.

=== debian/rules ===
#!/usr/bin/make -f

# To distinguish variables that are truly local to this file (rather
# than for use by cdbs), we adopt the convention of starting local
# variables' names with l_.

l_PWD := $(shell pwd)
l_STAMPS = debian/l_stamps

# Build for all available python versions
l_PYTHON_VERSION := $(shell pyversions -vd)
l_OTHER_PYTHON_VERSIONS := \
	$(filter-out $(l_PYTHON_VERSION), $(shell pyversions -vr))

# Variables used by cdbs

VERSION := $(shell dpkg-parsechangelog | \
             awk '/Version:/ {print $$2}' | cut -d- -f 1)

DEB_INSTALL_DOCS_libvips-doc = \
	$(DEB_BUILDDIR)/doc/html
DEB_COMPRESS_EXCLUDE = html

# Include cdbs rules files.
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# exec_prefix set explicitly to /usr appears to be required by
# configure scripts in order to properly install multiple versions of
# python.  Setting to "\$${prefix}" doesn't work.
DEB_CONFIGURE_EXTRA_FLAGS = --exec_prefix=/usr

# "make install" runs installed programs at one point, so we need to
# set LD_LIBRARY_PATH to the installed library directory.
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=$(l_PWD)/debian/tmp/usr/lib
else
LD_LIBRARY_PATH += :$(l_PWD)/debian/tmp/usr/lib
endif
export LD_LIBRARY_PATH

cleanbuilddir::
	$(RM) -r $(l_STAMPS)

# As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
# creates it conditionally, so this doesn't have a trivial fix.
clean::
	$(RM) debian/compat *.cdbs-config_list

pre-build::
	find build-tree -name CVS -print | xargs rm -rf

install/libvips-tools::
	rm debian/tmp/usr/bin/header
	rm debian/tmp/usr/share/man/man1/header.1*
	rm debian/tmp/usr/lib/python*/*-packages/vipsCC/*.pyc
	rm debian/tmp/usr/lib/python*/*-packages/vipsCC/*.pyo
	perl $(l_PWD)/debian/scripts/create_missing_manual_pages

# Install lintian override files
binary-post-install/%::
	if [ -f debian/$*.lintian ]; then \
	    mkdir -p debian/$*/usr/share/lintian/overrides && \
	    cp -p debian/$*.lintian debian/$*/usr/share/lintian/overrides/$*; \
	fi

install/python-vipscc::
	set -e; \
	for v in $(l_OTHER_PYTHON_VERSIONS); do \
	  make -C $(DEB_BUILDDIR)/python/vipsCC clean; \
          make -C $(DEB_BUILDDIR)/python/vipsCC PYTHON_VERSION=$$v PYTHON_INCLUDES=-I/usr/include/python$$v install DESTDIR=$(l_PWD)/debian/tmp; \
	 done

=== debian/watch ===
version=3
http://www.vips.ecs.soton.ac.uk/supported/7.18/vips-([\d\.]+).tar.gz

## vips 7.20.7

=== debian/changelog ===
vips (7.20.7-1build1) maverick; urgency=low

  * No changes upload for libmagick2 -> libmagick3 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 22 Jul 2010 05:50:33 +0200

vips (7.20.7-1) unstable; urgency=low

  * New upstream release
  * Change rules file so that python-central can properly handle
    byte-compiled python files.  (Closes: #566053)
  * Updated standards version to 3.8.4.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 06 Feb 2010 17:54:32 -0500

vips (7.20.6-1) unstable; urgency=low

  * New upstream release
  * Updated watch file

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 10 Jan 2010 12:13:04 -0500

=== debian/watch ===
version=3
http://www.vips.ecs.soton.ac.uk/supported/7.20/vips-([\d\.]+).tar.gz

## vips 7.24.1

=== debian/changelog ===
vips (7.24.1-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 27 Dec 2010 14:24:43 -0500

vips (7.22.4-1) unstable; urgency=low

  * New upstream release
  * Upstream release includes fix to CVE-2010-3364: insecure library
    loading.  (Closes: #598296)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 09 Oct 2010 10:39:23 -0400

vips (7.22.2-2) unstable; urgency=low

  * Upstream has declared this to be a stable release.  No code changes
    from version uploaded to experimental.
  * Updated version in shlibs file.
  * Updated watch file for new stable location.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 04 Sep 2010 15:23:54 -0400

vips (7.22.2-1) experimental; urgency=low

  * New upstream release
  * Updated standards version to 3.9.1.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 08 Aug 2010 19:30:12 -0400

vips (7.22.1-1) experimental; urgency=low

  * New upstream release
  * Removed replaces/conflicts on very old versions of the package that
    have been gone since before the current stable.
  * Updated standards version to 3.9.0.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 24 Jul 2010 11:03:05 -0400

vips (7.22.0-1) experimental; urgency=low

  * New upstream release
  * Changed references to libjpeg62-dev to libjpeg-dev
  * Upstream release includes German translation. (Closes: #582086)
  * Upstream release includes fixes to typos. (Closes: #582084)

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 20 Jun 2010 13:20:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: vips
 Section: libs
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5.0.38), libjpeg62-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-dev (>= 2.4), python-central (>= 0.5.6), liboil0.3-dev, libopenexr-dev, libmatio-dev, flex, bison
+Build-Depends: cdbs, debhelper (>= 5.0.38), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-dev (>= 2.4), python-central (>= 0.5.6), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, flex, bison
 Maintainer: Jay Berkenbilt <qjb@debian.org>
 XS-Python-Version: current
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: libvips15
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libvips10c2a, libvips12
-Replaces: libvips10c2a, libvips12
 Provides: libvips
 Recommends: nip2
 Description: image processing system good for very large images
@@ -33,11 +31,9 @@
 Package: libvips-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg62-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-central, python-dev (>= 2.4), liboil0.3-dev, libopenexr-dev, libmatio-dev
+Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-central, python-dev (>= 2.4), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev
 Recommends: libvips-doc, libvips-tools
 Suggests: nip2
-Conflicts: libvips10-dev
-Replaces: libvips10-dev
 Description: image processing system good for very large images (dev)
  VIPS is an image processing system designed with efficiency in mind.
  It is good with large images (images larger than the amount of RAM in

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,12 @@
 	$(DEB_BUILDDIR)/doc/html
 DEB_COMPRESS_EXCLUDE = html
 
+DEB_PYTHON_SYSTEM = pycentral
+DEB_PYTHON_PRIVATE_MODULES_DIRS = swig/vipsCC
+
 # Include cdbs rules files.
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/python-module.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
 # exec_prefix set explicitly to /usr appears to be required by
@@ -53,8 +57,6 @@
 install/libvips-tools::
 	rm debian/tmp/usr/bin/header
 	rm debian/tmp/usr/share/man/man1/header.1*
-	rm debian/tmp/usr/lib/python*/*-packages/vipsCC/*.pyc
-	rm debian/tmp/usr/lib/python*/*-packages/vipsCC/*.pyo
 	perl $(l_PWD)/debian/scripts/create_missing_manual_pages
 
 # Install lintian override files

=== debian/watch ===
version=3
http://www.vips.ecs.soton.ac.uk/supported/7.24/vips-([\d\.]+).tar.gz

## vips 7.24.5

=== debian/changelog ===
vips (7.24.5-4) unstable; urgency=high

  * Fixed ImageMagick dependencies; previous fix missed dependencies of
    libvips-dev. (Closes: #629904, #630014)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 11 Jun 2011 07:54:15 -0400

vips (7.24.5-3) unstable; urgency=low

  * Updated libmagick build dependencies to use non-version-specific
    packages for better upgradability. (Closes: #625602, #625552)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 07 May 2011 09:42:14 -0400

vips (7.24.5-2) unstable; urgency=low

  * Oops...fix lintian errors from moved documentation.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 16 Apr 2011 13:29:02 -0400

vips (7.24.5-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.9.2.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 16 Apr 2011 10:58:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: vips
 Section: libs
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5.0.38), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-dev (>= 2.4), python-central (>= 0.5.6), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, flex, bison
+Build-Depends: cdbs, debhelper (>= 5.0.38), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-dev (>= 2.4), python-central (>= 0.5.6), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, flex, bison
 Maintainer: Jay Berkenbilt <qjb@debian.org>
 XS-Python-Version: current
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: libvips15
@@ -31,7 +31,7 @@
 Package: libvips-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagick9-dev | libmagick-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-central, python-dev (>= 2.4), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev
+Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-central, python-dev (>= 2.4), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev
 Recommends: libvips-doc, libvips-tools
 Suggests: nip2
 Description: image processing system good for very large images (dev)

## vips 7.26.3

=== debian/changelog ===
vips (7.26.3-1build1) precise; urgency=low

  * Rebuild for libmagickcore4.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Nov 2011 15:56:47 +0000

vips (7.26.3-1) unstable; urgency=low

  * New upstream release
  * Migrate from dh_pycentral to dh_python2.  (Closes: #617141)
  * Remove remaining .la files which were installed with the python
    module.  (Closes: #633181)
  * New upstream release includes updated German translation.  (Closes:
    #625255)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 03 Sep 2011 10:47:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: vips
 Section: libs
 Priority: optional
-Build-Depends: cdbs, debhelper (>= 5.0.38), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-dev (>= 2.4), python-central (>= 0.5.6), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, flex, bison
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 5.0.38), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, flex, bison
 Maintainer: Jay Berkenbilt <qjb@debian.org>
-XS-Python-Version: current
 Standards-Version: 3.9.2
 Homepage: http://www.vips.ecs.soton.ac.uk
 
@@ -31,7 +30,7 @@
 Package: libvips-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms1-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-central, python-dev (>= 2.4), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev
+Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev
 Recommends: libvips-doc, libvips-tools
 Suggests: nip2
 Description: image processing system good for very large images (dev)
@@ -72,7 +71,6 @@
  command line.
 
 Package: python-vipscc
-XB-Python-Version: ${python:Versions}
 Section: python
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}

=== debian/watch ===
version=3
http://www.vips.ecs.soton.ac.uk/supported/7.26/vips-([\d\.]+).tar.gz

## vips 7.26.7

=== debian/changelog ===
vips (7.26.7-1) unstable; urgency=low

  * New upstream release
  * Fix python packaging issue.  Thanks Jakub Wilik <jwilk@debian.org>.
    (Closes: #642746)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 31 Dec 2011 10:31:20 -0500

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,12 @@
 	$(DEB_BUILDDIR)/doc/html
 DEB_COMPRESS_EXCLUDE = html
 
-DEB_PYTHON_SYSTEM = pycentral
-DEB_PYTHON_PRIVATE_MODULES_DIRS = swig/vipsCC
-
 # Include cdbs rules files.
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-module.mk
 include /usr/share/cdbs/1/class/autotools.mk
+
+include /usr/share/python/python.mk
 
 # exec_prefix set explicitly to /usr appears to be required by
 # configure scripts in order to properly install multiple versions of
@@ -69,6 +68,7 @@
 install/python-vipscc::
 	set -e; \
 	for v in $(l_OTHER_PYTHON_VERSIONS); do \
-	  make -C $(DEB_BUILDDIR)/python/vipsCC clean; \
-          make -C $(DEB_BUILDDIR)/python/vipsCC PYTHON_VERSION=$$v PYTHON_INCLUDES=-I/usr/include/python$$v install DESTDIR=$(l_PWD)/debian/tmp; \
-	 done
+	  make -C $(DEB_BUILDDIR)/swig/vipsCC clean; \
+          make -C $(DEB_BUILDDIR)/swig/vipsCC PYTHON_VERSION=$$v PYTHON_INCLUDES=-I/usr/include/python$$v pyexecdir="$(call py_libdir_sh, $$v)" install DESTDIR=$(l_PWD)/debian/tmp; \
+	done
+	find $(l_PWD)/debian/tmp -type f \( -name '*.la' -o -name '*.pyc' -o -name '*.pyo' \) -exec rm {} \;

## vips 7.28.5

=== doc/src/Makefile ===
#

PDF = vipsmanual.pdf 
SRC = \
	applintro.tex \
	cppintro.tex \
	fileformat.tex \
	func.tex \
	format.tex \
	iosys.tex \
	ipio.tex \
	mydefs.tex \
	operintro.tex \
	packages.tex \
	pio.tex \
	refintro.tex \
	vdisplay.tex \
	verror.tex \
	vimage.tex \
	vipsmanual.tex \
	vmask.tex \
	wio.tex

mkinstalldirs = $(SHELL) ../../mkinstalldirs
destdir = ../

all: $(PDF) html

install: all $(PDF) html
	-rm -rf ${destdir}/pdf/*.pdf
	-rm -rf ${destdir}/html/vips*
	-rm -rf ${destdir}/html/figs
	$(mkinstalldirs) ${destdir}/pdf
	$(mkinstalldirs) ${destdir}/html
	-cp $(PDF) ${destdir}/pdf
	-cp -r vipsmanual/* ${destdir}/html

$(PDF): $(SRC) 
	pdflatex vipsmanual.tex
	pdflatex vipsmanual.tex

.PHONEY: html
html: 
	-rm -rf vipsmanual 
	mkdir vipsmanual
	htlatex vipsmanual.tex html.cfg,3 "" -dvipsmanual/
	cp -r figs vipsmanual
	-rm vipsmanual/figs/*.svg
	-rm vipsmanual/*.png

.PHONEY: clean 
clean:
	-rm -f *.4ct
	-rm -f *.4tc
	-rm -f *.log
	-rm -f *.xref
	-rm -f *.tmp
	-rm -f *.html
	-rm -f *.css
	-rm -f *.lg
	-rm -f *.idv
	-rm -f *.aux
	-rm -f *.dvi
	-rm -f *.lof
	-rm -f *.lot
	-rm -f *.toc
	-rm -f *.pdf
	-rm -rf vipsmanual

=== debian/changelog ===
vips (7.28.5-1ubuntu1) quantal; urgency=low

  * Rebuild for imagemagick5
  * debian/control:
    - Switch from libtiff5-alt-dev to libtiff-dev, since libtiff5-dev is
      the default for quantal and alt-dev conflicts with the normal one.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 11 Jul 2012 17:41:02 -0400

vips (7.28.5-1) unstable; urgency=low

  * New upstream release
  * multiarch, hardening
  * Support bigtiff

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 29 May 2012 14:25:06 -0400

vips (7.28.2-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Sun, 18 Mar 2012 16:54:58 -0400

vips (7.26.7-4) unstable; urgency=low

  * Explicitly disable v4l on kfreebsd architectures.  Hopefully it's
    really right this time.  (Closes: #654430)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 05 Mar 2012 16:41:02 -0500

vips (7.26.7-3) unstable; urgency=low

  * Correctly implement previous change (fix omission in rules file)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 05 Mar 2012 13:33:26 -0500

vips (7.26.7-2) unstable; urgency=low

  * Update png dependency to libpng-dev.  (Closes: #662536)
  * Explicitly disable v4l on kfreebsd architectures.  (Closes: #654430)

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 05 Mar 2012 09:15:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: vips
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 5.0.38), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, flex, bison
-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.2
+Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, flex, bison
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
+Standards-Version: 3.9.3
 Homepage: http://www.vips.ecs.soton.ac.uk
 
 Package: libvips15
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libvips
 Recommends: nip2
@@ -30,7 +33,7 @@
 Package: libvips-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg-dev, libtiff4-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng12-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev
+Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev
 Recommends: libvips-doc, libvips-tools
 Suggests: nip2
 Description: image processing system good for very large images (dev)

## vips 7.38.5

=== debian/changelog ===
vips (7.38.5-2) unstable; urgency=medium

  * Enable dh-autoreconf. (Closes: #742872)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 29 Mar 2014 12:29:29 -0400

vips (7.38.5-1) unstable; urgency=medium

  * New upstream version.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 01 Mar 2014 09:39:19 -0500

vips (7.38.3-1) unstable; urgency=low

  * New upstream version.

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 04 Feb 2014 13:14:25 -0500

vips (7.36.5-1) unstable; urgency=low

  * New upstream version.

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Dec 2013 16:20:40 -0500

vips (7.36.3-3) unstable; urgency=low

  * Update build dependencies for tiff transition.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 05 Dec 2013 13:10:41 -0500

vips (7.36.3-2) unstable; urgency=low

  * Fix build dependencies for libvips-dev

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 15 Nov 2013 08:46:09 -0500

vips (7.36.3-1) unstable; urgency=low

  * New upstream release
  * Update standards version to 3.9.5.  No changes required.

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 14 Nov 2013 12:39:59 -0500

vips (7.34.2-3) unstable; urgency=low

  * Use gcc-4.7 on armhf, as a workaround for gcc-4.8 bug #725880.  Thanks
    Sébastien Villemot <sebastien@debian.org>.  (Closes: #725032)

 -- Jay Berkenbilt <qjb@debian.org>  Thu, 10 Oct 2013 12:25:07 -0400

vips (7.34.2-1) unstable; urgency=low

  * New upstream release
  * Update standards to 3.9.4 (no changes required)
  * Add build dependency on autotools-dev
  * Stop installing .a files with python modules

 -- Jay Berkenbilt <qjb@debian.org>  Mon, 16 Sep 2013 09:16:07 -0400

vips (7.32.3-1) experimental; urgency=low

  * New upstream release
  * Fix broken debian/watch file.  (Closes: #688104)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 27 Apr 2013 21:10:48 -0400

vips (7.28.8-1) unstable; urgency=low

  * New upstream release

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 29 Jun 2012 14:00:16 -0400

vips (7.28.5-1+deb7u1) stable; urgency=low

  * Fix crash on tiff with jpeg compression.  Thanks to Mathieu Malaterre
    <malat@debian.org> for diagnosing this bug, getting a fix from
    upstream, and preparing a patch.  (Closes: #689523, #714984, #731948)

 -- Jay Berkenbilt <qjb@debian.org>  Fri, 20 Dec 2013 16:39:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: vips
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dpkg-dev (>= 1.16.1~), libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, flex, bison
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jay Berkenbilt <qjb@debian.org>
-Standards-Version: 3.9.3
+# Remove armhf dependencies on gcc-4.7 when bug #725880 is closed.
+# See also note in rules file.
+Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dh-autoreconf, dpkg-dev (>= 1.16.1~), autotools-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, libwebp-dev, flex, bison, gcc-4.7 [armhf], g++-4.7 [armhf]
+XS-Python-Version: all
+Maintainer: Jay Berkenbilt <qjb@debian.org>
+Standards-Version: 3.9.5
 Homepage: http://www.vips.ecs.soton.ac.uk
 
-Package: libvips15
+Package: libvips37
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -33,7 +35,7 @@
 Package: libvips-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libvips15 (= ${binary:Version}), libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev
+Depends: ${misc:Depends}, libvips37 (= ${binary:Version}), libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, libwebp-dev
 Recommends: libvips-doc, libvips-tools
 Suggests: nip2
 Description: image processing system good for very large images (dev)
@@ -54,7 +56,7 @@
 Package: libvips-tools
 Section: graphics
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, python
 Recommends: nip2, libvips-doc
 Suggests: libvips-dev
 Description: image processing system good for very large images (tools)

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,9 @@
 #!/usr/bin/make -f
+
+# Enable all hardening options.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # To distinguish variables that are truly local to this file (rather
 # than for use by cdbs), we adopt the convention of starting local
@@ -25,6 +30,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-module.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 
 include /usr/share/python/python.mk
 
@@ -32,6 +38,17 @@
 # configure scripts in order to properly install multiple versions of
 # python.  Setting to "\$${prefix}" doesn't work.
 DEB_CONFIGURE_EXTRA_FLAGS = --exec_prefix=/usr
+DEB_CONFIGURE_USER_FLAGS = --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
+
+ifneq (, $(filter kfreebsd%, $(DEB_HOST_ARCH_OS)))
+DEB_CONFIGURE_EXTRA_FLAGS += --without-v4l
+endif
+
+# Remove special case for armhf using gcc-4.7 when bug #725880 is
+# closed.  See also note in control file.
+ifeq ($(DEB_HOST_ARCH), armhf)
+DEB_CONFIGURE_EXTRA_FLAGS += CC=gcc-4.7 CXX=g++-4.7
+endif
 
 # "make install" runs installed programs at one point, so we need to
 # set LD_LIBRARY_PATH to the installed library directory.
@@ -45,10 +62,8 @@
 cleanbuilddir::
 	$(RM) -r $(l_STAMPS)
 
-# As 0.4.21, cdbs creates but doesn't remove debian/compat.  It
-# creates it conditionally, so this doesn't have a trivial fix.
 clean::
-	$(RM) debian/compat *.cdbs-config_list
+	$(RM) *.cdbs-config_list
 
 pre-build::
 	find build-tree -name CVS -print | xargs rm -rf
@@ -56,14 +71,7 @@
 install/libvips-tools::
 	rm debian/tmp/usr/bin/header
 	rm debian/tmp/usr/share/man/man1/header.1*
-	perl $(l_PWD)/debian/scripts/create_missing_manual_pages
-
-# Install lintian override files
-binary-post-install/%::
-	if [ -f debian/$*.lintian ]; then \
-	    mkdir -p debian/$*/usr/share/lintian/overrides && \
-	    cp -p debian/$*.lintian debian/$*/usr/share/lintian/overrides/$*; \
-	fi
+	perl debian/scripts/create_missing_manual_pages
 
 install/python-vipscc::
 	set -e; \
@@ -71,4 +79,4 @@
 	  make -C $(DEB_BUILDDIR)/swig/vipsCC clean; \
           make -C $(DEB_BUILDDIR)/swig/vipsCC PYTHON_VERSION=$$v PYTHON_INCLUDES=-I/usr/include/python$$v pyexecdir="$(call py_libdir_sh, $$v)" install DESTDIR=$(l_PWD)/debian/tmp; \
 	done
-	find $(l_PWD)/debian/tmp -type f \( -name '*.la' -o -name '*.pyc' -o -name '*.pyo' \) -exec rm {} \;
+	find debian/tmp -type f \( -name '*.la' -o -name '*.pyc' -o -name '*.pyo' -o -path '*/vipsCC/*.a' \) -exec rm {} \;

## vips 7.38.6

=== debian/changelog ===
vips (7.38.6-1) unstable; urgency=medium

  * New upstream version.
  * Remove no-longer-needed dependency on gcc 4.7 for armhf. (Closes:
    #748006)
  * Upstream version includes new German transltion. (Closes: #743613)

 -- Jay Berkenbilt <qjb@debian.org>  Sat, 21 Jun 2014 16:35:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: vips
 Section: libs
 Priority: optional
-# Remove armhf dependencies on gcc-4.7 when bug #725880 is closed.
-# See also note in rules file.
-Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dh-autoreconf, dpkg-dev (>= 1.16.1~), autotools-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, libwebp-dev, flex, bison, gcc-4.7 [armhf], g++-4.7 [armhf]
+Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dh-autoreconf, dpkg-dev (>= 1.16.1~), autotools-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, libwebp-dev, flex, bison
 XS-Python-Version: all
 Maintainer: Jay Berkenbilt <qjb@debian.org>
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -44,12 +44,6 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --without-v4l
 endif
 
-# Remove special case for armhf using gcc-4.7 when bug #725880 is
-# closed.  See also note in control file.
-ifeq ($(DEB_HOST_ARCH), armhf)
-DEB_CONFIGURE_EXTRA_FLAGS += CC=gcc-4.7 CXX=g++-4.7
-endif
-
 # "make install" runs installed programs at one point, so we need to
 # set LD_LIBRARY_PATH to the installed library directory.
 ifeq ("$(LD_LIBRARY_PATH)", "")

## vips 7.40.6

=== debian/changelog ===
vips (7.40.6-2) unstable; urgency=medium

  * Add support for image pyramid export

 -- Jay Berkenbilt <qjb@debian.org>  Wed, 10 Sep 2014 08:23:43 -0400

vips (7.40.6-1) unstable; urgency=medium

  * New upstream version

 -- Jay Berkenbilt <qjb@debian.org>  Tue, 02 Sep 2014 14:34:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: vips
 Section: libs
 Priority: optional
-Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dh-autoreconf, dpkg-dev (>= 1.16.1~), autotools-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, libwebp-dev, flex, bison
+Build-Depends: cdbs (>= 0.4.93~), debhelper (>> 9~), dh-autoreconf, dpkg-dev (>= 1.16.1~), autotools-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libxml-parser-perl, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, libwebp-dev, libgsf-1-dev, flex, bison
 XS-Python-Version: all
 Maintainer: Jay Berkenbilt <qjb@debian.org>
 Standards-Version: 3.9.5
 Homepage: http://www.vips.ecs.soton.ac.uk
 
-Package: libvips37
+Package: libvips38
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -33,7 +33,7 @@
 Package: libvips-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libvips37 (= ${binary:Version}), libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, libwebp-dev
+Depends: ${misc:Depends}, libvips38 (= ${binary:Version}), libjpeg-dev, libtiff-dev, zlib1g-dev, fftw3-dev | libfftw3-dev, liblcms2-dev, libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev, libpango1.0-dev, libfontconfig1-dev, libglib2.0-dev, libice-dev, gettext, pkg-config, libexif-gtk-dev, python-all-dev, python-dev (>= 2.6.6-3~), liborc-0.4-dev, libopenexr-dev, libmatio-dev, libxml2-dev, libcfitsio3-dev, libopenslide-dev, libwebp-dev
 Recommends: libvips-doc, libvips-tools
 Suggests: nip2
 Description: image processing system good for very large images (dev)

=== debian/rules ===
--- 
+++ 
@@ -63,8 +63,6 @@
 	find build-tree -name CVS -print | xargs rm -rf
 
 install/libvips-tools::
-	rm debian/tmp/usr/bin/header
-	rm debian/tmp/usr/share/man/man1/header.1*
 	perl debian/scripts/create_missing_manual_pages
 
 install/python-vipscc::
